# Upload an input file
Source: https://docs.simpleserve.ai/docs/api-reference/files/post-files

Method: POST /v1/files
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/files",
  "method": "POST",
  "tags": [
    "Files"
  ],
  "operationId": "uploadFile",
  "summary": "Upload an input file",
  "description": "Uploads a file for later use in `CreateRunRequest.files`. Agent-specific\nmedia restrictions apply when the file is used, not when it is uploaded.\n",
  "parameters": [
    {
      "$ref": "#/components/parameters/IdempotencyKey"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "multipart/form-data": {
        "schema": {
          "type": "object",
          "additionalProperties": false,
          "required": [
            "file"
          ],
          "properties": {
            "file": {
              "type": "string",
              "format": "binary"
            }
          }
        }
      }
    }
  },
  "responses": {
    "201": {
      "description": "The uploaded file.",
      "headers": {
        "location": {
          "description": "URL for downloading the file content.",
          "schema": {
            "type": "string",
            "format": "uri-reference"
          }
        },
        "x-request-id": {
          "$ref": "#/components/headers/RequestId"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/File"
          },
          "examples": {
            "default": {
              "$ref": "#/components/examples/InputFileExample"
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "409": {
      "$ref": "#/components/responses/Conflict"
    },
    "413": {
      "$ref": "#/components/responses/PayloadTooLarge"
    },
    "415": {
      "$ref": "#/components/responses/UnsupportedMediaType"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```